org.apache.ignite.spi

## Class IgniteNodeValidationResult

- java.lang.Object
- - org.apache.ignite.spi.IgniteNodeValidationResult

    public class IgniteNodeValidationResult
    extends Object

Result of joining node validation.

### Constructor Summary

Constructors
Constructor and Description
`IgniteNodeValidationResult(UUID nodeId, String msg, String sndMsg)`

### Method Summary

Methods
`String` `message()`
`UUID` `nodeId()`
`String` `sendMessage()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteNodeValidationResult

    public IgniteNodeValidationResult(UUID nodeId,
                              String msg,
                              String sndMsg)

Parameters:
  `nodeId` - Offending node ID.
  `msg` - Message logged locally.
  `sndMsg` - Message sent to joining node.

### Method Detail

#### nodeId

    public UUID nodeId()

Returns:
  Offending node ID.

#### message

    public String message()

Returns:
  Message to be logged locally.

#### sendMessage

    public String sendMessage()

Returns:
  Message to be sent to joining node.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016